# ilot.io
Upstream: https://lab.ilot.io/ilot/ilot.io

![Build Status](https://lab.ilot.io/ilot/ilot.io/badges/main/pipeline.svg)


## Description

This repository contains the source code to the [ilot.io](https://ilot.io)
website. 

## GitLab CI

This project's static Pages are built by [GitLab CI][ci], following the steps
defined in [`.gitlab-ci.yml`](.gitlab-ci.yml):

We are using a theme based on 
[Bootstrap 3](https://lab.ilot.io/ilot/ikiwiki-bootstrap-ilot) using submodules.

## Building locally

To work locally with this project, you'll have to follow the steps below:

1. Fork, clone or download this project
1. Install ikiwiki:
    * [mac][]
    * [linux][]
    * [source][]
1. Clone the submodules: `git submodule init && git submodule update`
1. Generate the website: `ikiwiki --setup ikiwiki.setup`
1. Start http-server: `./test-server.sh`

Read more at ikiwiki's [documentation][].

## Contributing

1. Fork the main ilot.io repo.

2. Checkout the forked repository.

    - `git clone ssh://git@lab.ilot.io/$USER/ilot.io`
    - `cd ilot.io`

3. Make your changes.

4. Do local build.

    - `ikiwiki --setup ikiwiki.setup`

5. Fix any errors that come up and rebuild until it works locally.

6. Commit the changes to the git repo in a git branch

    - `git checkout -b <name>`
    - `git add` changes
    - `git commit -m 'content/index: descriptive description'`
    - `git push`

7. Create a merge request with your changes by following link in server response.

8. Once the tests in the merge-request pass, and reviewers are happy, your changes
   will be merged.

[ci]: https://about.gitlab.com/gitlab-ci/
[ikiwiki]: https://ikiwiki.info/
[source]: https://ikiwiki.info/install/
[linux]: https://ikiwiki.info/setup/
[mac]: https://ikiwiki.info/tips/ikiwiki_on_mac_os_x/
[documentation]: https://ikiwiki.info/
[userpages]: https://docs.gitlab.com/ce/user/project/pages/introduction.html#user-or-group-pages
[projpages]: https://docs.gitlab.com/ce/user/project/pages/introduction.html#project-pages
